# publish_active_windows

## Requirements

- Only Gnome on Wayland is supported.
- You need to install the Gnome Extension [Window Calls Extended](https://extensions.gnome.org/extension/4974/window-calls-extended/) for each user to monitor.
- You need to run this script in the Gnome Session of the user, via creating a .desktop file and adding the application to Startup Applications with Gnome Tweaks for example.

## Installation

To install for example in your ~/.local/bin folder:
```bash
./install.sh --destination ~/.local/bin
```

To install system-wide:
```bash
sudo ./install.sh --destination /usr/local/bin
```

Change your configuration file in "${HOME}/.config/publish_active_windows.conf" (see the example in the config folder).

## Usage

  ```bash
publish_active_windows.sh [--debug-level|-d CRITICAL|ERROR|WARNING|INFO|DEBUG|NOTSET] --ha-url <URL> --ha-token <TOKEN>
```
- URL should be something like https://myhomeassistant.example.org:8443
- The TOKEN must be generated in HomeAssistant, under your profile, Security, Create token. This token will be readable to the user you want to monitor, and it could be able to publish and read any other data from HomeAssistant. At the moment HomeAssistant doesn't support more granular permissions that allow you to limit the access of this token.
