#!/bin/bash
script_dir=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )
if [ ! -d "${script_dir}/.venv/${USER}/" ]; then
    python -m venv "${script_dir}/.venv/${USER}"
fi
# shellcheck disable=1090
source "${script_dir}/.venv/${USER}/bin/activate"
pip install -r "${script_dir}/requirements.txt" > /dev/null
pip install "${script_dir}/" > /dev/null
publish_active_windows.py "${@}"
